## dragonfly-reverb 3.2.6

=== Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

include dpf/Makefile.base.mk

all: dgl plugins gen

# --------------------------------------------------------------

ifneq ($(CROSS_COMPILING),true)
CAN_GENERATE_TTL = true
else ifneq ($(EXE_WRAPPER),)
CAN_GENERATE_TTL = true
endif

dgl:
	$(MAKE) -C dpf/dgl

plugins: dgl
	$(MAKE) all -C plugins/dragonfly-hall-reverb
	$(MAKE) all -C plugins/dragonfly-room-reverb
	$(MAKE) all -C plugins/dragonfly-plate-reverb
	$(MAKE) all -C plugins/dragonfly-early-reflections

ifeq ($(CAN_GENERATE_TTL),true)
gen: plugins dpf/utils/lv2_ttl_generator
	@$(CURDIR)/dpf/utils/generate-ttl.sh

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator
else
gen:
endif

# --------------------------------------------------------------

clean:
	$(MAKE) clean -C dpf/dgl
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
	$(MAKE) clean -C plugins/dragonfly-hall-reverb
	$(MAKE) clean -C plugins/dragonfly-room-reverb
	$(MAKE) clean -C plugins/dragonfly-plate-reverb
	$(MAKE) clean -C plugins/dragonfly-early-reflections
	rm -rf bin build

# --------------------------------------------------------------

.PHONY: plugins

=== plugins/dragonfly-early-reflections/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyEarlyReflections

# --------------------------------------------------------------
# Files to build

FILES_COMMON  = DSP.cpp \
	../../common/kiss_fft/kiss_fft.c \
	../../common/kiss_fft/kiss_fftr.c

ifneq ($(SYSTEM_FREEVERB3),true)
FILES_COMMON += \
	../../common/freeverb/allpass.cpp \
	../../common/freeverb/biquad.cpp \
	../../common/freeverb/comb.cpp \
	../../common/freeverb/delay.cpp \
	../../common/freeverb/delayline.cpp \
	../../common/freeverb/earlyref.cpp \
	../../common/freeverb/efilter.cpp \
	../../common/freeverb/nrev.cpp \
	../../common/freeverb/nrevb.cpp \
	../../common/freeverb/progenitor.cpp \
	../../common/freeverb/progenitor2.cpp \
	../../common/freeverb/revbase.cpp \
	../../common/freeverb/slot.cpp \
	../../common/freeverb/strev.cpp \
	../../common/freeverb/utils.cpp \
	../../common/freeverb/zrev.cpp \
	../../common/freeverb/zrev2.cpp
endif

FILES_DSP = $(FILES_COMMON) \
	Plugin.cpp

FILES_UI  = $(FILES_COMMON) \
	Artwork.cpp \
	UI.cpp \
	AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Build dependencies

BUILD_CXX_FLAGS += -I../../common -DLIBFV3_FLOAT
ifeq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS += -DLIBSRATE1
BUILD_CXX_FLAGS += $(shell $(PKG_CONFIG) --cflags freeverb3-3)
endif

# TODO handle throw deprecation for freeverb
BUILD_CXX_FLAGS += -Wno-deprecated

# --------------------------------------------------------------
# Link dependencies

ifeq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
endif

LINK_OPTS += -lm

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack lv2_sep vst2 vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/dragonfly-hall-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyHallReverb

# --------------------------------------------------------------
# Files to build

FILES_COMMON  = DSP.cpp \
	../../common/kiss_fft/kiss_fft.c \
	../../common/kiss_fft/kiss_fftr.c

ifneq ($(SYSTEM_FREEVERB3),true)
FILES_COMMON += \
	../../common/freeverb/allpass.cpp \
	../../common/freeverb/biquad.cpp \
	../../common/freeverb/comb.cpp \
	../../common/freeverb/delay.cpp \
	../../common/freeverb/delayline.cpp \
	../../common/freeverb/earlyref.cpp \
	../../common/freeverb/efilter.cpp \
	../../common/freeverb/nrev.cpp \
	../../common/freeverb/nrevb.cpp \
	../../common/freeverb/progenitor.cpp \
	../../common/freeverb/progenitor2.cpp \
	../../common/freeverb/revbase.cpp \
	../../common/freeverb/slot.cpp \
	../../common/freeverb/strev.cpp \
	../../common/freeverb/utils.cpp \
	../../common/freeverb/zrev.cpp \
	../../common/freeverb/zrev2.cpp
endif

FILES_DSP = $(FILES_COMMON) \
	Plugin.cpp

FILES_UI  = $(FILES_COMMON) \
	Artwork.cpp \
	UI.cpp \
	AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Build dependencies

BUILD_CXX_FLAGS += -I../../common -DLIBFV3_FLOAT
ifeq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS += -DLIBSRATE1
BUILD_CXX_FLAGS += $(shell $(PKG_CONFIG) --cflags freeverb3-3)
endif

# TODO handle throw deprecation for freeverb
BUILD_CXX_FLAGS += -Wno-deprecated

# --------------------------------------------------------------
# Link dependencies

ifeq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
endif

LINK_OPTS += -lm

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack lv2_sep vst2 vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/dragonfly-plate-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyPlateReverb

# --------------------------------------------------------------
# Files to build

FILES_COMMON  = DSP.cpp \
	../../common/kiss_fft/kiss_fft.c \
	../../common/kiss_fft/kiss_fftr.c

ifneq ($(SYSTEM_FREEVERB3),true)
FILES_COMMON += \
	../../common/freeverb/allpass.cpp \
	../../common/freeverb/biquad.cpp \
	../../common/freeverb/comb.cpp \
	../../common/freeverb/delay.cpp \
	../../common/freeverb/delayline.cpp \
	../../common/freeverb/earlyref.cpp \
	../../common/freeverb/efilter.cpp \
	../../common/freeverb/nrev.cpp \
	../../common/freeverb/nrevb.cpp \
	../../common/freeverb/progenitor.cpp \
	../../common/freeverb/progenitor2.cpp \
	../../common/freeverb/revbase.cpp \
	../../common/freeverb/slot.cpp \
	../../common/freeverb/strev.cpp \
	../../common/freeverb/utils.cpp \
	../../common/freeverb/zrev.cpp \
	../../common/freeverb/zrev2.cpp
endif

FILES_DSP = $(FILES_COMMON) \
	Plugin.cpp

FILES_UI  = $(FILES_COMMON) \
	Artwork.cpp \
	UI.cpp \
	AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Build dependencies

BUILD_CXX_FLAGS += -I../../common -DLIBFV3_FLOAT
ifeq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS += -DLIBSRATE1
BUILD_CXX_FLAGS += $(shell $(PKG_CONFIG) --cflags freeverb3-3)
endif

# `algorithmNames` only used in UI
BUILD_CXX_FLAGS += -Wno-unused-variable
 
# TODO handle throw deprecation for freeverb
BUILD_CXX_FLAGS += -Wno-deprecated

# --------------------------------------------------------------
# Link dependencies

ifeq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
endif

LINK_OPTS += -lm

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack lv2_sep vst2 vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/dragonfly-room-reverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = DragonflyRoomReverb

# --------------------------------------------------------------
# Files to build

FILES_COMMON  = DSP.cpp \
	../../common/kiss_fft/kiss_fft.c \
	../../common/kiss_fft/kiss_fftr.c

ifneq ($(SYSTEM_FREEVERB3),true)
FILES_COMMON += \
	../../common/freeverb/allpass.cpp \
	../../common/freeverb/biquad.cpp \
	../../common/freeverb/comb.cpp \
	../../common/freeverb/delay.cpp \
	../../common/freeverb/delayline.cpp \
	../../common/freeverb/earlyref.cpp \
	../../common/freeverb/efilter.cpp \
	../../common/freeverb/nrev.cpp \
	../../common/freeverb/nrevb.cpp \
	../../common/freeverb/progenitor.cpp \
	../../common/freeverb/progenitor2.cpp \
	../../common/freeverb/revbase.cpp \
	../../common/freeverb/slot.cpp \
	../../common/freeverb/strev.cpp \
	../../common/freeverb/utils.cpp \
	../../common/freeverb/zrev.cpp \
	../../common/freeverb/zrev2.cpp
endif

FILES_DSP = $(FILES_COMMON) \
	Plugin.cpp

FILES_UI  = $(FILES_COMMON) \
	Artwork.cpp \
	UI.cpp \
	AbstractUI.cpp \
	../../common/LabelledKnob.cpp \
	../../common/Spectrogram.cpp \
	../../common/Bitstream_Vera_Sans_Regular.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Build dependencies

BUILD_CXX_FLAGS += -I../../common -DLIBFV3_FLOAT
ifeq ($(SYSTEM_FREEVERB3),true)
BUILD_CXX_FLAGS += -DLIBSRATE1
BUILD_CXX_FLAGS += $(shell $(PKG_CONFIG) --cflags freeverb3-3)
endif

# TODO handle throw deprecation for freeverb
BUILD_CXX_FLAGS += -Wno-deprecated

# --------------------------------------------------------------
# Link dependencies

ifeq ($(SYSTEM_FREEVERB3),true)
LINK_OPTS += $(shell $(PKG_CONFIG) --libs freeverb3-3) -lsamplerate
endif

LINK_OPTS += -lm

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack lv2_sep vst2 vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/ImGuiSimpleGain/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX, Christopher Arndt, and Patrick Desaulniers
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_ImGuiSimpleGain

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	PluginSimpleGain.cpp

FILES_UI = \
	UISimpleGain.cpp \
	../../../DPF-Widgets/opengl/DearImGui.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# path to DPF-Widgets
BUILD_CXX_FLAGS += -I../../../DPF-Widgets/opengl/

# --------------------------------------------------------------
# Enable all selected plugin types

TARGETS += jack lv2_sep vst2 vst3

ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif # HAVE_LIBLO

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/Info/CMakeLists.txt ===
# CMake file for DISTRHO Plugins #
# ------------------------------ #

dpf_add_plugin(d_info
  TARGETS jack lv2 vst2 vst3
  FILES_DSP
      InfoExamplePlugin.cpp
  FILES_UI
      InfoExampleUI.cpp)

target_include_directories(
  d_info PUBLIC ".")

=== dpf/examples/Info/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_info

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	InfoExamplePlugin.cpp

FILES_UI = \
	InfoExampleUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_OPENGL),true)
TARGETS += jack
endif # HAVE_OPENGL

TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/Latency/CMakeLists.txt ===
# CMake file for DISTRHO Plugins #
# ------------------------------ #

dpf_add_plugin(d_latency
  TARGETS ladspa lv2 vst2 vst3
  FILES_DSP
      LatencyExamplePlugin.cpp)

target_include_directories(
  d_latency PUBLIC ".")

=== dpf/examples/Latency/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_latency

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	LatencyExamplePlugin.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== dpf/examples/Meters/CMakeLists.txt ===
# CMake file for DISTRHO Plugins #
# ------------------------------ #

dpf_add_plugin(d_meters
  TARGETS jack dssi lv2 vst2 vst3
  FILES_DSP
      ExamplePluginMeters.cpp
  FILES_UI
      ExampleUIMeters.cpp)

target_include_directories(
  d_meters PUBLIC ".")

=== dpf/examples/Meters/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = d_meters

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ExamplePluginMeters.cpp

FILES_UI  = \
	ExampleUIMeters.cpp

# --------------------------------------------------------------
# Do some magic

include ../../Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_OPENGL),true)

TARGETS += jack

ifneq ($(MACOS_OR_WINDOWS),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif # HAVE_LIBLO
endif # MACOS_OR_WINDOWS

TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

endif # HAVE_OPENGL

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
dragonfly-reverb (3.2.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

  [ Dennis Braun ]
  * New upstream version 3.2.6
  * d/watch: Use the tarball with dpf submodule
  * Refresh FTBS patch
  * d/copyright:
    + Update dpf paths
    + Update years
    + Remove obsolete entries
    + Sort files

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 18 Apr 2022 22:43:45 +0200

=== debian/watch ===
version=4
 https://github.com/michaelwillis/dragonfly-reverb/releases .*/dragonfly-reverb-source-v?(\d[\d\.]+)\.tar\.gz

## dragonfly-reverb 3.2.7

=== debian/changelog ===
dragonfly-reverb (3.2.7-1) unstable; urgency=medium

  * New upstream version 3.2.7
  * Build with dpf-source
  * Allow cross compiling
  * Apply wrap-and-sort -ast
  * d/control:
    + Update my email address
    + Add libxrandr-dev to B-Ds
    + Prefer libjack-dev over libjack-jackd2-dev
    + Bump Standards-Version to 4.6.2
  * Bump d/copyright year
  * Refresh lintian-overrides
  * Drop obsolete patch
  * d/rules:
    + Verbose build
    + Pass CPPFLAGS via CFLAGS/CXXFLAGS
    + Make blhc ignore lines starting with "Compiling ..."
  * Add salsa ci config
  * Fix d/watch regex

 -- Dennis Braun <snd@debian.org>  Thu, 22 Dec 2022 22:42:48 +0100

## dragonfly-reverb 3.2.8

=== debian/changelog ===
dragonfly-reverb (3.2.8-1) unstable; urgency=medium

  * New upstream version 3.2.8

 -- Dennis Braun <snd@debian.org>  Thu, 29 Dec 2022 17:30:08 +0100

=== debian/control ===
Source: dragonfly-reverb
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpf-source:native,
 libfftw3-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libsamplerate0-dev,
 libx11-dev,
 libxext-dev,
 libxrandr-dev,
 pkg-config,
Homepage: https://michaelwillis.github.io/dragonfly-reverb/
Vcs-Git: https://salsa.debian.org/multimedia-team/dragonfly-reverb.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/dragonfly-reverb
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: dragonfly-reverb
Architecture: all
Multi-Arch: foreign
Depends:
 dragonfly-reverb-lv2,
 dragonfly-reverb-standalone,
 dragonfly-reverb-vst,
 ${misc:Depends},
Provides:
 lv2-plugin,
 vst-plugin,
Description: Reverb effect plugins - metapackage
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This metapackage installs all JACK, LV2 and VST plugins

Package: dragonfly-reverb-standalone
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Reverb effect plugins - standalone applications
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the standalone JACK applications

Package: dragonfly-reverb-vst
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 vst-plugin,
Description: Reverb effect plugins - VST plugins
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the VST plugins

Package: dragonfly-reverb-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lv2-plugin,
Description: Reverb effect plugins - LV2 plugins
 Dragonfly Reverb is a bundle of free audio reverb effects:
  * Early Reflections
    - stereo-to-stereo reverb
  * Hall Reverb
    - stereo-to-stereo reverb
  * Plate
    - mono-to-stereo reverb
  * Room Reverb
    - stereo-to-stereo reverb
 .
 This package provides the LV2 plugins

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export SKIP_STRIPPING = true

# Verbose build
export VERBOSE = true

# Allow cross compiling
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	export CROSS_COMPILING = true
endif
export NOOPT = true

%:
	dh $@

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^Compiling .*"

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
		$(empty)

execute_before_dh_auto_configure:
	cp -fr /usr/share/dpf/ .

override_dh_auto_clean:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
      https://github.com/michaelwillis/@PACKAGE@/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## dragonfly-reverb 3.2.10

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 dgl:
-	$(MAKE) -C dpf/dgl
+	$(MAKE) -C dpf/dgl FILE_BROWSER_DISABLED=true
 
 plugins: dgl
 	$(MAKE) all -C plugins/dragonfly-hall-reverb
@@ -45,6 +45,10 @@
 	$(MAKE) clean -C plugins/dragonfly-plate-reverb
 	$(MAKE) clean -C plugins/dragonfly-early-reflections
 	rm -rf bin build
+	rm -f common/*.d common/*.o
+	rm -f common/freeverb/*.d common/freeverb/*.o
+	rm -f common/kiss_fft/*.d common/kiss_fft/*.o
+	rm -f dpf/utils/lv2_ttl_generator.d
 
 # --------------------------------------------------------------

=== plugins/dragonfly-early-reflections/Makefile ===
--- 
+++ 
@@ -45,12 +45,14 @@
 	UI.cpp \
 	AbstractUI.cpp \
 	../../common/LabelledKnob.cpp \
-	../../common/Spectrogram.cpp \
+	../../common/Selection.cpp \
 	../../common/Bitstream_Vera_Sans_Regular.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
+FILE_BROWSER_DISABLED = true
+SKIP_RTAUDIO_FALLBACK = true
 include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
@@ -77,7 +79,7 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-TARGETS = jack lv2_sep vst2 vst3
+TARGETS = jack lv2_sep vst2 vst3 clap
 
 all: $(TARGETS)

=== plugins/dragonfly-hall-reverb/Makefile ===
--- 
+++ 
@@ -45,12 +45,15 @@
 	UI.cpp \
 	AbstractUI.cpp \
 	../../common/LabelledKnob.cpp \
+	../../common/Selection.cpp \
 	../../common/Spectrogram.cpp \
 	../../common/Bitstream_Vera_Sans_Regular.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
+FILE_BROWSER_DISABLED = true
+SKIP_RTAUDIO_FALLBACK = true
 include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
@@ -77,7 +80,7 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-TARGETS = jack lv2_sep vst2 vst3
+TARGETS = jack lv2_sep vst2 vst3 clap
 
 all: $(TARGETS)

=== plugins/dragonfly-plate-reverb/Makefile ===
--- 
+++ 
@@ -45,12 +45,15 @@
 	UI.cpp \
 	AbstractUI.cpp \
 	../../common/LabelledKnob.cpp \
+	../../common/Selection.cpp \
 	../../common/Spectrogram.cpp \
 	../../common/Bitstream_Vera_Sans_Regular.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
+FILE_BROWSER_DISABLED = true
+SKIP_RTAUDIO_FALLBACK = true
 include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
@@ -80,7 +83,7 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-TARGETS = jack lv2_sep vst2 vst3
+TARGETS = jack lv2_sep vst2 vst3 clap
 
 all: $(TARGETS)

=== plugins/dragonfly-room-reverb/Makefile ===
--- 
+++ 
@@ -45,12 +45,15 @@
 	UI.cpp \
 	AbstractUI.cpp \
 	../../common/LabelledKnob.cpp \
+	../../common/Selection.cpp \
 	../../common/Spectrogram.cpp \
 	../../common/Bitstream_Vera_Sans_Regular.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
+FILE_BROWSER_DISABLED = true
+SKIP_RTAUDIO_FALLBACK = true
 include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
@@ -77,7 +80,7 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-TARGETS = jack lv2_sep vst2 vst3
+TARGETS = jack lv2_sep vst2 vst3 clap
 
 all: $(TARGETS)

=== debian/changelog ===
dragonfly-reverb (3.2.10-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:59:01 +0200

dragonfly-reverb (3.2.10-3) unstable; urgency=medium

  * Clean modified files after successful build (Closes: #1044440)

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 10:21:59 +0200

dragonfly-reverb (3.2.10-2) unstable; urgency=medium

  * Source-only upload

 -- Dennis Braun <snd@debian.org>  Sun, 27 Aug 2023 23:47:59 +0200

dragonfly-reverb (3.2.10-1) unstable; urgency=medium

  * New upstream version 3.2.10

  [ Olivier Humbert ]
  * d/control: create VST3 and CLAP packages
  * create d/dragonfly-reverb-vst3.install
  * create d/dragonfly-reverb-clap.install
  * Update d/copyright

  [ Dennis Braun ]
  * Build-Depends: libgl1-mesa-dev => libgl-dev
  * dragonfly-reverb-clap short description: LV2 => CLAP
  * Bump my d/copyright year
  * Refresh dragonfly-reverb-*.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 28 Jul 2023 10:31:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dragonfly-reverb
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Olivier Humbert <trebmuh@tuxfamily.org>,
  Dennis Braun <snd@debian.org>,
@@ -9,7 +10,7 @@
  debhelper-compat (= 13),
  dpf-source:native,
  libfftw3-dev,
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  libjack-dev | libjack-jackd2-dev,
  liblo-dev,
@@ -31,6 +32,8 @@
  dragonfly-reverb-lv2,
  dragonfly-reverb-standalone,
  dragonfly-reverb-vst,
+ dragonfly-reverb-vst3,
+ dragonfly-reverb-clap,
  ${misc:Depends},
 Provides:
  lv2-plugin,
@@ -46,7 +49,7 @@
   * Room Reverb
     - stereo-to-stereo reverb
  .
- This metapackage installs all JACK, LV2 and VST plugins
+ This metapackage installs all JACK, LV2, VST3, CLAP and VST plugins
 
 Package: dragonfly-reverb-standalone
 Architecture: any
@@ -105,3 +108,43 @@
     - stereo-to-stereo reverb
  .
  This package provides the LV2 plugins
+
+Package: dragonfly-reverb-vst3
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ vst3-plugin,
+Description: Reverb effect plugins - VST3 plugins
+ Dragonfly Reverb is a bundle of free audio reverb effects:
+  * Early Reflections
+    - stereo-to-stereo reverb
+  * Hall Reverb
+    - stereo-to-stereo reverb
+  * Plate
+    - mono-to-stereo reverb
+  * Room Reverb
+    - stereo-to-stereo reverb
+ .
+ This package provides the VST3 plugins
+
+Package: dragonfly-reverb-clap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ clap-plugin,
+Description: Reverb effect plugins - CLAP plugins
+ Dragonfly Reverb is a bundle of free audio reverb effects:
+  * Early Reflections
+    - stereo-to-stereo reverb
+  * Hall Reverb
+    - stereo-to-stereo reverb
+  * Plate
+    - mono-to-stereo reverb
+  * Room Reverb
+    - stereo-to-stereo reverb
+ .
+ This package provides the CLAP plugins

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,4 @@
 	cp -fr /usr/share/dpf/ .
 
 override_dh_auto_clean:
+	dh_clean bin/ build/ common/*.d common/*.o common/*/*.d common/*/*.o dpf/
